TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.GroupInfo Class Reference

This class represents a group on the Tibjms server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.GroupInfo:

## Public Member Functions
| GroupInfo (string groupName, string description)
| Public constructor to create a GroupInfo. More...
| GroupInfo (string groupName)
| Public constructor to create a GroupInfo with no description. More...
override string | ToString ()
| Generate a string representation of this GroupInfo. More...
Public Member Functions inherited from TIBCO.EMS.ADMIN.PrincipalInfo
override string | ToString ()
| Generate a string representation of this PrincipalInfo. More...

## Properties
UserInfo[] | Users`[get]`
| Get the array of users that belong to this group. More...
Properties inherited from TIBCO.EMS.ADMIN.PrincipalInfo
string | Name`[get]`
| Get the name of this user or group. More...
string | Description`[get, set]`
| Get or set the description of this user or group. More...
bool | External`[get]`
| Indicates whether or not this user or group is external. More...

## Detailed Description

This class represents a group on the Tibjms server.

A group can contain users (but not other groups) and can be a principal in access control.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.GroupInfo.GroupInfo | ( | string | groupName,
|  | string | description
| ) |  |
| inline

Public constructor to create a GroupInfo.

The group will not be created on the server until the GroupInfo is passed to Admin.createGroup().

Parameters

  groupName | the name of the new group.
  description | the description for the new group.

TIBCO.EMS.ADMIN.GroupInfo.GroupInfo | ( | string | groupName | ) |
| inline

Public constructor to create a GroupInfo with no description.

The group will not be created on the server until the GroupInfo is passed to Admin.createGroup().

Parameters

  groupName | the name of the new group.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.GroupInfo.ToString | ( |  | ) |
| inline

Generate a string representation of this GroupInfo.

Returns
  a string representation of this GroupInfo.

## Property Documentation

UserInfo [] TIBCO.EMS.ADMIN.GroupInfo.Users
| get

Get the array of users that belong to this group.

Returns
  the array of UserInfos that belong to this group.